---
search:
  tags:
    - Shops
    - GET
seo:
  description: >-
    Returns full details for a single shop, including HAL links for all
    available actions… Reference for the GET /shops/{id} endpoint in the Bolder
    API v1.
sidebar:
  label: Shop details
  badge: GET
title: Shop details
type: openapi-operation
---
Returns full details for a single shop, including HAL links for all available
actions (products, orders, contacts, theme, variants).

`GET /shops/{id}`

**Responses**

- `200` — Shop resource
- `404` — Resource not found

Response example, 200:

```json
{
  "id": "string",
  "name": "string",
  "subdomain": "string",
  "url": "string",
  "description": "string",
  "currency_code": "string",
  "locale": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z",
  "product_counts": {
    "visible": 0,
    "hidden": 0
  },
  "_links": {},
  "analytics_id": "string",
  "asset_count": 0,
  "_embedded": {
    "account": {
      "status": "string",
      "plan": "string",
      "created_on": "2019-08-24T14:15:22Z",
      "updated_on": "2019-08-24T14:15:22Z"
    },
    "branches": [
      {
        "id": 0,
        "name": "string",
        "type": "string",
        "allow_local_pickup": true,
        "_embedded": {
          "address": {
            "street": "string",
            "street_2": "string",
            "locality_name": "string",
            "region_name": "string",
            "country_name": "string",
            "country_code": "string",
            "postal_code": "string",
            "lat_long": "string"
          }
        }
      }
    ]
  }
}
```
